Python

strimzi-kafka-cli

Latest version: v0.1.0a64

PyUp actively tracks 471,271 Python packages for vulnerabilities to keep your Python environments secure.

Scan your dependencies

1.25.2

0.31.1

0.30.0

0.1.0alpha64

0.1.0alpha63

0.1.0alpha62

* Support Strimzi 0.29.0
* Use pytest library for testing instead of unittest

0.1.0alpha61

Bump version to Strimzi 0.28.0.

0.1.0alpha60

Bump to Strimzi version 0.26.1 which is used by AMQ Streams 2.0

0.1.0alpha59

* Python 3.10 compatibility

0.1.0alpha58

This pre-release includes:

- Update Strimzi version to 0.25.0
- Update kubectl version to 1.22.0
- Fixes: 33, 87, 89
- Unlisted improvements&fixes

0.1.0alpha57

0.1.0alpha56

* Add `version` as an option to be used as `--version`, not a command.
* Improvements on tests

0.1.0alpha55

* Strimzi version 0.24.0

0.1.0alpha54

* Fix issues with connect & connector `alter` func

0.1.0alpha53

0.1.0alpha52

Fix issue 81 - windows os.uname() error

0.1.0alpha51

* Issue 49 - kfk connect
* Bugfixes
* Refactorings

0.1.0alpha50

* issue 49: Kafka Connect mainly implemented (without connector mechanism)

0.1.0alpha49

* Issue 36
* Issue 71

0.1.0alpha48

* Console command fix

0.1.0alpha47

* Upgrade Strimzi version to 0.23.0 and Apache Kafka 2.8

0.1.0alpha46

* Downgrade to click 7.x
* Bump kubectl version
* Test fixes

0.1.0-alpha45c7
A variant release for click 7.x

0.1.0alpha45

0.1.0alpha44

Package issues are fixed

0.1.0alpha43

* Issue 68
* Click CLI version is updated to the latest.

0.1.0alpha42

* Fixes, refactorings
* `kfk env` command added to print out related env variables's values

0.1.0alpha41

* Bugfixes & test improvements
* Change min Python version to 3.6 because of dependency restrictions (PyYAML)

0.1.0alpha40

- fix 60
- Add more tests for main command and config coverage

0.1.0alpha39

Fix issue 60

0.1.0alpha38

* Strimzi 0.22.0
* kubectl 1.20.4

0.1.0alpha37

* Strimzi upgrade to 0.21.0 (Kafka 2.7 and many other [features](https://github.com/strimzi/strimzi-kafka-operator/releases/tag/0.21.0))

0.1.0alpha36

* Strimzi upgrade to 0.20.1
* kubectl upgrade to 1.20.0
* kfk configs fixes/changes esp. on broker configurations